std::allocator< void > Class Reference
Utilities » Memory » Allocators

`#include <allocator.h>`

Inheritance diagram for std::allocator< void >:
[legend]

## Public Types

typedef const void * | const_pointer
typedef const void * | const_pointer
typedef const void & | const_reference
typedef ptrdiff_t | difference_type
typedef ptrdiff_t | difference_type
using | is_always_equal
using | is_always_equal
typedef void * | pointer
typedef void * | pointer
using | propagate_on_container_move_assignment
using | propagate_on_container_move_assignment
typedef void & | reference
typedef size_t | size_type
typedef size_t | size_type
typedef void | value_type
typedef void | value_type

## Public Member Functions

constexpr | allocator (const allocator &__a) noexcept
constexpr | allocator (const allocator< _Tp1 > &) noexcept
const_pointer | address (const_reference __x) const noexcept
const_pointer | address (const_reference __x) const noexcept
pointer | address (reference __x) const noexcept
pointer | address (reference __x) const noexcept
void * | allocate (size_type __n, const void *=static_cast< const void * >(0))
void * | allocate (size_type __n, const void *=static_cast< const void * >(0))
void | construct (_Up *__p, _Args &&... __args) noexcept(std::is_nothrow_constructible< _Up, _Args... >::value)
void | construct (_Up *__p, _Args &&... __args) noexcept(std::is_nothrow_constructible< _Up, _Args... >::value)
void | deallocate (_Tp *__p, size_type __t)
void | deallocate (void *__p, size_type __t)
void | deallocate (void *__p, size_type __t)
void | destroy (_Up *__p) noexcept(std::is_nothrow_destructible< _Up >::value)
void | destroy (_Up *__p) noexcept(std::is_nothrow_destructible< _Up >::value)
size_type | max_size () const noexcept
size_type | max_size () const noexcept
allocator & | operator= (const allocator &)=default

## Friends

constexpr bool | operator!= (const allocator &, const allocator &) noexcept
constexpr bool | operator== (const allocator &, const allocator &) noexcept

## Detailed Description

allocator<void> specialization.

Definition at line 72 of file allocator.h.

## Member Typedef Documentation

## const_pointer [1/2]

typedef const void* std::allocator< void >::const_pointer

Definition at line 134 of file allocator.h.

## const_pointer [2/2]

typedef const void* std::allocator< void >::const_pointer

Definition at line 82 of file allocator.h.

## const_reference

typedef const void& std::allocator< void >::const_reference

Definition at line 136 of file allocator.h.

## difference_type [1/2]

typedef ptrdiff_t std::allocator< void >::difference_type

Definition at line 129 of file allocator.h.

## difference_type [2/2]

typedef ptrdiff_t std::allocator< void >::difference_type

Definition at line 77 of file allocator.h.

## is_always_equal [1/2]

using std::allocator< void >::is_always_equal

Definition at line 148 of file allocator.h.

## is_always_equal [2/2]

using std::allocator< void >::is_always_equal

Definition at line 94 of file allocator.h.

## pointer [1/2]

typedef void* std::allocator< void >::pointer

Definition at line 133 of file allocator.h.

## pointer [2/2]

typedef void* std::allocator< void >::pointer

Definition at line 81 of file allocator.h.

## propagate_on_container_move_assignment [1/2]

using std::allocator< void >::propagate_on_container_move_assignment

Definition at line 146 of file allocator.h.

## propagate_on_container_move_assignment [2/2]

using std::allocator< void >::propagate_on_container_move_assignment

Definition at line 92 of file allocator.h.

## reference

typedef void& std::allocator< void >::reference

Definition at line 135 of file allocator.h.

## size_type [1/2]

typedef size_t std::allocator< void >::size_type

Definition at line 128 of file allocator.h.

## size_type [2/2]

typedef size_t std::allocator< void >::size_type

Definition at line 76 of file allocator.h.

## value_type [1/2]

typedef void std::allocator< void >::value_type

Definition at line 127 of file allocator.h.

## value_type [2/2]

typedef void std::allocator< void >::value_type

Definition at line 75 of file allocator.h.

## Constructor & Destructor Documentation

## allocator() [1/3]

std::allocator< void >::allocator | ( |  | ) |

inline constexpr noexcept

Definition at line 154 of file allocator.h.

## allocator() [2/3]

std::allocator< void >::allocator | ( | const allocator< void > & | __a | ) |

inline constexpr noexcept

Definition at line 157 of file allocator.h.

## allocator() [3/3]

std::allocator< void >::allocator | ( | const allocator< _Tp1 > & |  | ) |

inline constexpr noexcept

Definition at line 167 of file allocator.h.

## ~allocator()

std::allocator< void >::~allocator | ( |  | ) |

inline noexcept

Definition at line 172 of file allocator.h.

## Member Function Documentation

## address() [1/4]

const_pointer __gnu_cxx::new_allocator< void >::address | ( | const_reference | __x | ) | const

inline noexcept

Definition at line 96 of file new_allocator.h.

## address() [2/4]

const_pointer __gnu_cxx::new_allocator< void >::address | ( | const_reference | __x | ) | const

inline noexcept

Definition at line 96 of file new_allocator.h.

## address() [3/4]

pointer __gnu_cxx::new_allocator< void >::address | ( | reference | __x | ) | const

inline noexcept

Definition at line 92 of file new_allocator.h.

## address() [4/4]

pointer __gnu_cxx::new_allocator< void >::address | ( | reference | __x | ) | const

inline noexcept

Definition at line 92 of file new_allocator.h.

## allocate() [1/2]

void * __gnu_cxx::new_allocator< void >::allocate | ( | size_type | __n,
|  | const void * | = static_cast<const void*>(0) )

inline nodiscard

Definition at line 103 of file new_allocator.h.

## allocate() [2/2]

void * __gnu_cxx::new_allocator< void >::allocate | ( | size_type | __n,
|  | const void * | = static_cast<const void*>(0) )

inline nodiscard

Definition at line 103 of file new_allocator.h.

## construct() [1/2]

void __gnu_cxx::new_allocator< void >::construct | ( | _Up * | __p,
|  | _Args &&... | __args )

inline noexcept

Definition at line 160 of file new_allocator.h.

## construct() [2/2]

void __gnu_cxx::new_allocator< void >::construct | ( | _Up * | __p,
|  | _Args &&... | __args )

inline noexcept

Definition at line 160 of file new_allocator.h.

## deallocate() [1/3]

template<typename _Tp>

void __gnu_cxx::new_allocator< _Tp >::deallocate | ( | _Tp * | __p,
|  | size_type | __t )

inline inherited

Definition at line 132 of file new_allocator.h.

## deallocate() [2/3]

void __gnu_cxx::new_allocator< void >::deallocate | ( | void * | __p,
|  | size_type | __t )

inline

Definition at line 132 of file new_allocator.h.

## deallocate() [3/3]

void __gnu_cxx::new_allocator< void >::deallocate | ( | void * | __p,
|  | size_type | __t )

inline

Definition at line 132 of file new_allocator.h.

## destroy() [1/2]

void __gnu_cxx::new_allocator< void >::destroy | ( | _Up * | __p | ) |

inline noexcept

Definition at line 166 of file new_allocator.h.

## destroy() [2/2]

void __gnu_cxx::new_allocator< void >::destroy | ( | _Up * | __p | ) |

inline noexcept

Definition at line 166 of file new_allocator.h.

## max_size() [1/2]

size_type __gnu_cxx::new_allocator< void >::max_size | ( |  | ) | const

inline noexcept

Definition at line 154 of file new_allocator.h.

## max_size() [2/2]

size_type __gnu_cxx::new_allocator< void >::max_size | ( |  | ) | const

inline noexcept

Definition at line 154 of file new_allocator.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const allocator< void > & | ,
|  | const allocator< void > & | )

friend

Definition at line 207 of file allocator.h.

## operator==

bool operator== | ( | const allocator< void > & | ,
|  | const allocator< void > & | )

friend

Definition at line 202 of file allocator.h.

The documentation for this class was generated from the following file:

- allocator.h